Add support for pluggable metadata modules (e.g., reml)

2013-10-28 21:54 - Matthew Jones

Status: Closed Start date: 2013-10-28

Priority: Normal Due date: 2014-09-10

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: DataONE R Client 1.1.0   

Milestone: None Story Points:  

Description

Currently, the @dataone@ package handles metadata parsing only for EML using the EML parser class.  This is relatively limited

support for the richness of the standard, and should be changed to using dedicated modules for various metadata standards.  For

example, for EML, use the @reml@ package for both generating EML and for parsing EML, and as the store needed for parsing

metadata to enable @asDataFrame()@ support across a wider variety of data formats based on an understanding of their associated

metadata.

History

#1 - 2013-10-28 21:57 - Matthew Jones

- Description updated

#2 - 2014-09-10 20:30 - Matthew Jones

- Due date changed from 2013-10-28 to 2014-09-10

- Status changed from New to Closed

Moved issue to github: https://github.com/DataONEorg/rdataone/issues/27

Powered by TCPDF (www.tcpdf.org)

2024-05-03 1/1

https://github.com/DataONEorg/rdataone/issues/27
http://www.tcpdf.org

